From 5ea20d4510ae34ef4af16cd89dfea8b7772c3db4 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Piotr=20W=C3=B3jcik?= <chocimier@tlen.pl>
Date: Tue, 28 May 2019 22:30:38 +0200
Subject: [PATCH] kdiff3: update to 1.8.1.

---
 srcpkgs/kdiff3/template | 28 +++++++++++++---------------
 1 file changed, 13 insertions(+), 15 deletions(-)

diff --git a/srcpkgs/kdiff3/template b/srcpkgs/kdiff3/template
index a560ef38d6a..0733c016e0d 100644
--- a/srcpkgs/kdiff3/template
+++ b/srcpkgs/kdiff3/template
@@ -1,21 +1,19 @@
 # Template file for 'kdiff3'
 pkgname=kdiff3
-version=0.9.98
-revision=2
-build_wrksrc=src-QT4
-build_style=qmake
-makedepends="qt5-devel"
+version=1.8.1
+revision=1
+build_style=cmake
+hostmakedepends="extra-cmake-modules kcoreaddons kdoctools
+ qt5-host-tools qt5-qmake"
+makedepends="kparts-devel qt5-devel"
 short_desc="File comparator/merge tool"
 maintainer="Ben Sung Hsu <pobetiger+kdiff3@gmail.com>"
 license="GPL-2.0-or-later"
-homepage="http://kdiff3.sourceforge.net/"
-distfiles="${SOURCEFORGE_SITE}/kdiff3/kdiff3-${version}.tar.gz"
-checksum=802c1ababa02b403a5dca15955c01592997116a24909745016931537210fd668
+homepage="https://kde.org/applications/development/kdiff3"
+distfiles="${KDE_SITE}/kdiff3/kdiff3-${version}.tar.xz"
+checksum=7877c0f38d24f35edc6c61353fe6e12790aaa285663fe403133e4fc00bcf436e
 
-if [ "$CROSS_BUILD" ]; then
-	hostmakedepends+=" qt5-devel qt5-host-tools"
-fi
-
-pre_install() {
-	vsed -i 's@usr\/local@usr@g' Makefile
-}
+case "$XBPS_TARGET_MACHINE" in
+	armv6*-musl) CXXFLAGS+=" -latomic";;
+	armv6*) broken="static assertion failed: template parameter is an integral of a size not supported on this platform";;
+esac
